<?php

/**
 * @file
 * Hookup with drush
 */

function provision_newrelic_provision_apache_vhost_config($uri, $data = null) {
  $config = new Provision_Config_Drushrc_Site(d()->name);
  drush_log(dt("add new relic variables to vhost"));
  return "<IfModule php5_module>
    php_value newrelic.appname \"". $uri .";Profile - ".$config->profile.";All Sites\"
    php_value newrelic.framework \"drupal\"
    php_value newrelic.framework.drupal.modules 1
  </IfModule>\n";
}

/**
 * Implementation of HOOK_provision_nginx_vhost_config().
 */

function provision_newrelic_provision_nginx_vhost_config($uri, $data = null) {
  $config = new Provision_Config_Drushrc_Site(d()->name);
  drush_log(dt("add new relic variables to vhost"));
  return "  fastcgi_param PHP_VALUE \"newrelic.appname=\\\"" . $uri . ";Profile - " . $config->profile . ";All Sites\\\"
    newrelic.framework=\\\"drupal\\\"
    newrelic.framework.drupal.modules=1\";\n";
}
